.container {
            max-width: 1450px;
            margin: auto;
            padding-left: 24px;
            padding-right: 24px;
        }

        h1 {
            font-weight: 700;
            font-size: 30px;
            margin-bottom: 16px;
        }

        .checkout-flow {
            display: flex;
            align-items: center;
            margin-bottom: 30px;
            justify-content: center;
        }

        .flow-step {
            width: 36px;
            height: 36px;
            background: #4b006e;
            color: #fff;
            font-size: 20px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: 700;
        }

        .flow-step.inactive {
            background: #e7e7ee;
            color: #aaa;
        }

        .flow-bar {
            height: 4px;
            width: 60px;
            background: #e7e7ee;
            border-radius: 2px;
            margin-bottom: 4px;
        }

        .cart-container {
            width: 100%;
            display: flex;
            gap: 50px;
            align-items: flex-start;
        }

        .checkout-main {
            min-width: 825px;
            padding: 25px;
            background: #ffffff;
            box-shadow: 0px 0px 6px #00000029;
            border-radius: 5px;
        }

        .order-summary {
            padding: 25px;
            min-width: 375px;
            background: #ffffff;
            box-shadow: 0px 0px 6px #00000029;
            border-radius: 5px;
        }

        .order-summary h2 {
            font-weight: 700;
            font-size: 20px;
            margin: 0 0 25px 0;
        }

        .summary-list {
            margin: 0 0 16px 0;
            padding: 0;
            list-style: none;
            border-bottom: 1px solid #c2c2c2;
        }

        .summary-item {
            display: flex;
            gap: 15px;
            margin-bottom: 15px;
        }

        .product-img {
            min-height: 75px;
            max-width: 75px;
            box-shadow: 0px 0px 6px #00000029;
            border-radius: 5px;
        }

        .summary-item .cont h4 {
            font-size: 16px;
            font-weight: 700;
            margin: 0;
        }

        .summary-item .cont p {
            font-size: 13px;
            margin: 0;
        }

        .summary-row {
            display: flex;
            justify-content: space-between;
            font-size: 15px;
            margin: 10px 0;
        }

        .summary-part {
            border-bottom: 1px solid #c2c2c2;
            margin: 0 0 18px;
        }

        .summary-row h5 {
            font-size: 15px;
            font-weight: 700;
            color: #5d5d5d;
            margin: 0 0 15px 0;
        }

        .summary-row h4 {
            font-size: 15px;
            font-weight: 700;
            margin: 0 0 15px 0;
        }

        .summary-total-row {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 20px;
            font-weight: 700;
        }

        .summary-total-row h4 {
            margin: 0;
        }

        .step-card h2 {
            font-weight: 700;
            font-size: 20px;
            margin: 0 0 15px 0;
        }

        .method-row {
            display: flex;
            gap: 25px;
            margin-bottom: 30px;
        }

        .radio-card {
            background: #FFFFFF;
            border: 1px solid #C2C2C2;
            border-radius: 5px;
            flex: 1 1 0;
            padding: 15px 20px;
            cursor: pointer;
            transition: 0.2s ease-in-out;
        }

        .radio-card input {
            display: none;
        }

        .ratio-part {
            display: flex;
            align-items: center;
            gap: 10px;
            margin: 0 0 10px 0;
        }

        .radio-custom {
            width: 15px;
            height: 15px;
            border: 1px solid #480082;
            background-color: #fff;
            border-radius: 50%;
            position: relative;
        }

        .ratio-part input:checked+.radio-custom::after {
            content: "";
            width: 10px;
            height: 10px;
            background: #480082;
            border-radius: 50%;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .radio-card:has(input:checked) {
            border-color: #6b1ab2;
            background: #f7edff;
        }

        .radio-card h5 {
            margin: 0;
            font-size: 16px;
            font-weight: 700;
        }

        .radio-card p {
            margin: 0;
            font-size: 12px;
            color: #5D5D5D;
        }

        .address-section {
            margin-top: 25px;
        }

        .address-section h3 {
            font-size: 20px;
            font-weight: 700;
        }

        

        

        

@media (max-width: 992px) {
    .cart-container {
        flex-direction: column;
        align-items: stretch;
        gap: 25px;
    }
    .product-img {
        max-width: 65px;
        min-height: 65px;
    }
    .method-row { gap: 15px;  }
}
@media (max-width: 768px) {
    .product-img {
        max-width: 60px;
        min-height: 60px;
    }
}
@media (max-width: 380px) {
    .product-img {
        max-width: 55px;
        min-height: 55px;
    }
}